#import "@preview/fontawesome:0.5.0": fa-git-alt
#import "@preview/tiaoma:0.3.0"

#let cover(
  name: str,
  slug: str,
) = {
  let HEAD = read("../../.git/refs/heads/master").trim()
  let gh = (
    "https://git.pompy.dev/pomp/cheatsheets/src/commit/" + HEAD + "/src/" + slug + "/" + slug + ".typ"
  )

  align(
    center,
    [
      pomp's\
      #text(20pt)[*#name*]\
      cheat sheet
    ],
  )

  align(bottom)[
    #grid(
      columns: (auto, auto),
      rows: auto,
      gutter: 1fr,
      [
        #align(top)[
          #link(gh)[#fa-git-alt() pomp/cheatsheets]\
          git revision: #HEAD.slice(0, 7)\
          made with #link("https://github.com/typst/typst")[Typst] // https://typst.app/legal/brand/
        ]
      ],
      rect(
        link(gh)[
          #tiaoma.qrcode(gh, width: 18mm)
        ],
        inset: 1mm,
      ),
    )
  ]

  pagebreak()
}
